You are viewing a plain text version of this content. The canonical link for it is here.
Posted to mod_ftp-commits@incubator.apache.org by co...@apache.org on 2005/12/11 00:56:36 UTC

svn commit: r355842 - in /incubator/mod_ftp/trunk: build/install.sh configure.in

Author: colm
Date: Sat Dec 10 16:56:22 2005
New Revision: 355842

URL: http://svn.apache.org/viewcvs?rev=355842&view=rev
Log:
Add install.sh, an autoconf dependency. Include the apr/apu autoconf fragments.

Added:
    incubator/mod_ftp/trunk/build/install.sh   (with props)
Modified:
    incubator/mod_ftp/trunk/configure.in

Added: incubator/mod_ftp/trunk/build/install.sh
URL: http://svn.apache.org/viewcvs/incubator/mod_ftp/trunk/build/install.sh?rev=355842&view=auto
==============================================================================
--- incubator/mod_ftp/trunk/build/install.sh (added)
+++ incubator/mod_ftp/trunk/build/install.sh Sat Dec 10 16:56:22 2005
@@ -0,0 +1,123 @@
+#!/bin/sh
+#
+# Copyright 1999-2005 The Apache Software Foundation or its licensors, as
+# applicable.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+# install.sh -- install a program, script or datafile
+#
+# Based on `install-sh' from the X Consortium's X11R5 distribution
+# as of 89/12/18 which is freely available.
+# Cleaned up for Apache's Autoconf-style Interface (APACI)
+# by Ralf S. Engelschall <rse apache.org>
+
+#
+#   put in absolute paths if you don't have them in your path; 
+#   or use env. vars.
+#
+mvprog="${MVPROG-mv}"
+cpprog="${CPPROG-cp}"
+chmodprog="${CHMODPROG-chmod}"
+chownprog="${CHOWNPROG-chown}"
+chgrpprog="${CHGRPPROG-chgrp}"
+stripprog="${STRIPPROG-strip}"
+rmprog="${RMPROG-rm}"
+
+#
+#   parse argument line
+#
+instcmd="$mvprog"
+chmodcmd=""
+chowncmd=""
+chgrpcmd=""
+stripcmd=""
+rmcmd="$rmprog -f"
+mvcmd="$mvprog"
+ext=""
+src=""
+dst=""
+while [ "x$1" != "x" ]; do
+    case $1 in
+        -c) instcmd="$cpprog"
+            shift; continue
+            ;;
+        -m) chmodcmd="$chmodprog $2"
+            shift; shift; continue
+            ;;
+        -o) chowncmd="$chownprog $2"
+            shift; shift; continue
+            ;;
+        -g) chgrpcmd="$chgrpprog $2"
+            shift; shift; continue
+            ;;
+        -s) stripcmd="$stripprog"
+            shift; continue
+            ;;
+        -S) stripcmd="$stripprog $2"
+            shift; shift; continue
+            ;;
+        -e) ext="$2"
+            shift; shift; continue
+            ;;
+        *)  if [ "x$src" = "x" ]; then
+                src=$1
+            else
+                dst=$1
+            fi
+            shift; continue
+            ;;
+    esac
+done
+if [ "x$src" = "x" ]; then
+     echo "install.sh: no input file specified"
+     exit 1
+fi
+if [ "x$dst" = "x" ]; then
+     echo "install.sh: no destination specified"
+     exit 1
+fi
+
+#
+#  If destination is a directory, append the input filename; if
+#  your system does not like double slashes in filenames, you may
+#  need to add some logic
+#
+if [ -d $dst ]; then
+    dst="$dst/`basename $src`"
+fi
+
+#  Add a possible extension (such as ".exe") to src and dst
+src="$src$ext"
+dst="$dst$ext"
+
+#  Make a temp file name in the proper directory.
+dstdir=`dirname $dst`
+dsttmp=$dstdir/#inst.$$#
+
+#  Move or copy the file name to the temp name
+$instcmd $src $dsttmp
+
+#  And set any options; do chmod last to preserve setuid bits
+if [ "x$chowncmd" != "x" ]; then $chowncmd $dsttmp; fi
+if [ "x$chgrpcmd" != "x" ]; then $chgrpcmd $dsttmp; fi
+if [ "x$stripcmd" != "x" ]; then $stripcmd $dsttmp; fi
+if [ "x$chmodcmd" != "x" ]; then $chmodcmd $dsttmp; fi
+
+#  Now rename the file to the real destination.
+$rmcmd $dst
+$mvcmd $dsttmp $dst
+
+exit 0
+

Propchange: incubator/mod_ftp/trunk/build/install.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/mod_ftp/trunk/configure.in
URL: http://svn.apache.org/viewcvs/incubator/mod_ftp/trunk/configure.in?rev=355842&r1=355841&r2=355842&view=diff
==============================================================================
--- incubator/mod_ftp/trunk/configure.in (original)
+++ incubator/mod_ftp/trunk/configure.in Sat Dec 10 16:56:22 2005
@@ -2,6 +2,10 @@
 AC_CONFIG_HEADER(include/ftp_config.h)
 AC_CONFIG_AUX_DIR(build)
 
+sinclude(build/apr_common.m4)
+sinclude(build/find_apr.m4)
+sinclude(build/find_apu.m4)
+
 APR_FIND_APR("$srcdir/srclib/apr", "./srclib/apr", 1, 1)
 
 if test "$apr_found" = "no"; then